summaryrefslogtreecommitdiff
path: root/regress/agent-pkcs11.sh
diff options
context:
space:
mode:
authordjm@openbsd.org <djm@openbsd.org>2015-01-12 11:46:32 +0000
committerDamien Miller <djm@mindrot.org>2015-01-15 21:39:15 +1100
commit55358f0b4e0b83bc0df81c5f854c91b11e0bb4dc (patch)
treed8c6aca2daa62d605797d53fd870add85c775179 /regress/agent-pkcs11.sh
parentc3554cdd2a1a62434b8161017aa76fa09718a003 (diff)
upstream commit
fatal if soft-PKCS11 library is missing rather (rather than continue and fail with a more cryptic error)
Diffstat (limited to 'regress/agent-pkcs11.sh')
-rw-r--r--regress/agent-pkcs11.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/regress/agent-pkcs11.sh b/regress/agent-pkcs11.sh
index db33ab37..3aa20c8b 100644
--- a/regress/agent-pkcs11.sh
+++ b/regress/agent-pkcs11.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: agent-pkcs11.sh,v 1.1 2010/02/08 10:52:47 markus Exp $
+# $OpenBSD: agent-pkcs11.sh,v 1.2 2015/01/12 11:46:32 djm Exp $
# Placed in the Public Domain.
tid="pkcs11 agent test"
@@ -6,6 +6,8 @@ tid="pkcs11 agent test"
TEST_SSH_PIN=""
TEST_SSH_PKCS11=/usr/local/lib/soft-pkcs11.so.0.0
+test -f "$TEST_SSH_PKCS11" || fatal "$TEST_SSH_PKCS11 does not exist"
+
# setup environment for soft-pkcs11 token
SOFTPKCS11RC=$OBJ/pkcs11.info
export SOFTPKCS11RC